org.apache.sling.jcr.contentparser

## Enum JsonParserFeature

- java.lang.Object
- - java.lang.Enum<JsonParserFeature>
  - - org.apache.sling.jcr.contentparser.JsonParserFeature

All Implemented Interfaces:
  Serializable, Comparable<JsonParserFeature>

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    public enum JsonParserFeature
    extends Enum<JsonParserFeature>

Feature flags for parsing JSON files.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMENTS` Deprecated. Support comments (/* ...
`QUOTE_TICK` Deprecated. Support ticks (') additional to double quotes (") as quoting symbol for JSON names and strings.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static JsonParserFeature` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static JsonParserFeature[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMMENTS

    public static final JsonParserFeature COMMENTS

Deprecated.
Support comments (/* ... */) in JSON files.

#### QUOTE_TICK

    public static final JsonParserFeature QUOTE_TICK

Deprecated.
Support ticks (') additional to double quotes (") as quoting symbol for JSON names and strings.

### Method Detail

#### values

    public static JsonParserFeature[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JsonParserFeature c : JsonParserFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JsonParserFeature valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null